package kz.cafe.client.rest.wrappers;

import kz.cafe.constants.*;
import kz.cafe.db.model.*;

public class JMAbstractDataElement{
   
   public Integer ID;
   public Long created;
   public Long updated;
   public String deleted;
   
   
   
   public void fillIn(MAbstractEditableDataElement mAbstractDataElement){
      this.ID = mAbstractDataElement.ID;
      this.created = mAbstractDataElement.created;
      this.updated = mAbstractDataElement.updated;
   }
   
   
   
   public String checkIsImageEmpty(String sImage){
      if(sImage == null || InterfaceConstants.EMPTY_IMAGE.equalsIgnoreCase(sImage)){
         return null;
      }
      else {
         return sImage;
      }
   }
}
